curl --request POST \
--url https://api.extole.io/v1/components/{component_id}/duplicate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"anchors": [
{
"source_element_id": "source_element_id",
"target_element_id": "target_element_id"
}
],
"component_display_name": "component_display_name",
"component_ids": [
"component_id"
],
"component_name": "component_name",
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"description": "description",
"tags": [
"tag"
],
"target_campaign_id": "target_campaign_id",
"target_component_absolute_name": "target_component_absolute_name",
"target_setting_name": "target_setting_name",
"target_socket_name": "target_socket_name",
"type": "type",
"types": [
"type"
],
"variables": [
{
"description": "description",
"display_name": "display_name",
"name": "name",
"priority": "10",
"source": "INHERITED",
"tags": [
"tag"
],
"type": "ADMIN_ICON",
"values": {
"values_key": {}
}
}
]
}
'import requests
url = "https://api.extole.io/v1/components/{component_id}/duplicate"
payload = {
"anchors": [
{
"source_element_id": "source_element_id",
"target_element_id": "target_element_id"
}
],
"component_display_name": "component_display_name",
"component_ids": ["component_id"],
"component_name": "component_name",
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"description": "description",
"tags": ["tag"],
"target_campaign_id": "target_campaign_id",
"target_component_absolute_name": "target_component_absolute_name",
"target_setting_name": "target_setting_name",
"target_socket_name": "target_socket_name",
"type": "type",
"types": ["type"],
"variables": [
{
"description": "description",
"display_name": "display_name",
"name": "name",
"priority": "10",
"source": "INHERITED",
"tags": ["tag"],
"type": "ADMIN_ICON",
"values": { "values_key": {} }
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
anchors: [
{source_element_id: 'source_element_id', target_element_id: 'target_element_id'}
],
component_display_name: 'component_display_name',
component_ids: ['component_id'],
component_name: 'component_name',
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
description: 'description',
tags: ['tag'],
target_campaign_id: 'target_campaign_id',
target_component_absolute_name: 'target_component_absolute_name',
target_setting_name: 'target_setting_name',
target_socket_name: 'target_socket_name',
type: 'type',
types: ['type'],
variables: [
{
description: 'description',
display_name: 'display_name',
name: 'name',
priority: '10',
source: 'INHERITED',
tags: ['tag'],
type: 'ADMIN_ICON',
values: {values_key: {}}
}
]
})
};
fetch('https://api.extole.io/v1/components/{component_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"description": "<string>",
"filename": "<string>",
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
]
}
],
"campaign_id": "<string>",
"campaign_state": "<string>",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"created_date": "2025-10-24T02:00:00-07:00",
"description": "<string>",
"display_name": "<string>",
"facets": [
{
"name": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"install": {},
"installed_into_socket": "<string>",
"name": "<string>",
"origin": {
"client_id": "<string>",
"component_id": "<string>",
"component_version": 123
},
"owner": "CLIENT",
"source_client_id": "<string>",
"tags": [
"<string>"
],
"type": "<string>",
"types": [
"<string>"
],
"updated_date": "2025-10-24T02:00:00-07:00",
"upload_version": "<string>",
"variables": [
{
"description": "<string>",
"display_name": "<string>",
"name": "<string>",
"priority": "10",
"tags": [
"<string>"
],
"type": "ADMIN_ICON",
"source": "INHERITED",
"values": {
"default": {},
"en": {}
}
}
],
"version": 123
}Duplicate a component
Creates a deep copy of the specified component and all its child settings and assets.
Authorizations
Path Parameters
Body
Show child attributes
Show child attributes
Choose between static or dynamic component display name. Buildtime expressions use CampaignBuildtimeContext.
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Show child attributes
Show child attributes
Response
Successful response
Stored component definition. Field display_name is unevaluated and appears in buildtime-evaluatable form.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The display name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use CampaignBuildtimeContext.
Show child attributes
Show child attributes
The install as configured: a literal value, or an expression (type:string) when defined dynamically. Installtime expressions use ComponentInstalltimeContext.
Show child attributes
Show child attributes
CLIENT, EXTOLE, EXTOLE_BETA RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Show child attributes
Show child attributes
